package com.rv.share.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.util.List;

public class InviteListBean extends BaseBean {


    private boolean rel;
    private InviteList data;

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public InviteList getData() {
        return data;
    }

    public void setData(InviteList data) {
        this.data = data;
    }

    public static class InviteList {
        private long failureTime;
        private int page;
        private int limit;
        private int totalCount;
        private int totalPage;
        private List<inviteMember> inviteMembers;

        public long getFailureTime() {
            return failureTime;
        }

        public void setFailureTime(long failureTime) {
            this.failureTime = failureTime;
        }

        public int getPage() {
            return page;
        }

        public void setPage(int page) {
            this.page = page;
        }

        public int getLimit() {
            return limit;
        }

        public void setLimit(int limit) {
            this.limit = limit;
        }

        public int getTotalCount() {
            return totalCount;
        }

        public void setTotalCount(int totalCount) {
            this.totalCount = totalCount;
        }

        public int getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(int totalPage) {
            this.totalPage = totalPage;
        }

        public List<inviteMember> getInviteMembers() {
            return inviteMembers;
        }

        public void setInviteMembers(List<inviteMember> inviteMembers) {
            this.inviteMembers = inviteMembers;
        }
    }

    public static class inviteMember {
        private String username;
        private String headUrl;
        private long joinTime;
        private long bindTime;

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getHeadUrl() {
            return headUrl;
        }

        public void setHeadUrl(String headUrl) {
            this.headUrl = headUrl;
        }

        public long getJoinTime() {
            return joinTime;
        }

        public void setJoinTime(long joinTime) {
            this.joinTime = joinTime;
        }

        public long getBindTime() {
            return bindTime;
        }

        public void setBindTime(long bindTime) {
            this.bindTime = bindTime;
        }
    }

}
